/**
 * <copyright>
 * </copyright>
 *
 * $Id: HierarchyValidator.java,v 1.1 2008-04-01 09:35:33 vmahe Exp $
 */
package orgomg.cwm.analysis.olap.validation;

import org.eclipse.emf.common.util.EList;

import orgomg.cwm.analysis.olap.CubeDimensionAssociation;
import orgomg.cwm.analysis.olap.Dimension;
import orgomg.cwm.analysis.olap.HierarchyMemberSelectionGroup;

/**
 * A sample validator interface for {@link orgomg.cwm.analysis.olap.Hierarchy}.
 * This doesn't really do anything, and it's not a real EMF artifact.
 * It was generated by the org.eclipse.emf.examples.generator.validator plug-in to illustrate how EMF's code generator can be extended.
 * This can be disabled with -vmargs -Dorg.eclipse.emf.examples.generator.validator=false.
 */
public interface HierarchyValidator {
	boolean validate();

	boolean validateDimension(Dimension value);
	boolean validateDefaultedDimension(Dimension value);
	boolean validateCubeDimensionAssociation(EList<CubeDimensionAssociation> value);
	boolean validateHierarchyMemberSelectionGroup(EList<HierarchyMemberSelectionGroup> value);
}
